/*
 *  circle.cpp
 *  w1_hmwrk_fastest
 *
 *  Created by Adam Scher on 9/9/10.
 *  Copyright 2010 Adam Scher Dance and Design. All rights reserved.
 *
 */

#include "ball.h"

ball::ball(){
	
	catchUpSpeed = 0.06f;
	
}

void ball::draw(){
	ofFill();
	ofSetCircleResolution(200);
	ofSetColor(red, blue, green);
	ofCircle(pos.x, pos.y, radiusSize);
}

void ball::xenoToPoint(float catchX, float catchY){
	pos.x = catchUpSpeed * catchX + (1-catchUpSpeed) * pos.x; 
	pos.y = catchUpSpeed * catchY + (1-catchUpSpeed) * pos.y; 
}
